Skip to main content
POST
Get a URL for file upload.

Authorizations

Authorization
string
header
required

You can use an OAuth2 JWT bearer token in the Authorization header of your API requests for supported endpoints: Authorization: Bearer <YOUR_JWT_HERE>. These tokens are valid for 10 minutes and can be requested via the access token endpoint endpoint.

Headers

x-idempotency-key
string<uuid>
required

Idempotency key to be used. Sending again the same key would return the same result without re-executing the update.

Body

application/json
datasetType
enum<string>
required

Dataset type.

Available options:
transactions,
transactionsV1,
ordersV1,
checkout.reports.financial_actions_by_daterange,
checkout.reports.payments,
checkout.reports.authentication,
adyen.reports.payments_accounting,
adyen.reports.received_payments
file
object
required

Response

Created.

datasetType
enum<string>

Dataset type.

Available options:
transactions,
transactionsV1,
ordersV1,
checkout.reports.financial_actions_by_daterange,
checkout.reports.payments,
checkout.reports.authentication,
adyen.reports.payments_accounting,
adyen.reports.received_payments
file
object
uploadUrl
string

Presigned "PUT" URL to upload a file.

expiresAt
string<date-time>

The time when the uploadUrl will expire.

Last modified on October 7, 2026